---
title: GSOC2012 Application
permalink: /GSOC2012_Application/
---

This is the Application for the SUMO project by the Core Developement
team of the DLR.

## Describe your organization.

SUMO is a highly portable, microscopic road traffic simulation package
designed to handle large road networks. It is mainly developed by
employees of the Institute of Transportation Systems at the German
Aerospace Center. SUMO is open source, licensed under the GNU GPL.

Using SUMO you can simulate how a given traffic demand which consists of
single vehicles moves through a given road network. The Application
suite consists of tool for preparing the road network, computing route
choices and managing various simulation outputs. Thus, a large set of
traffic management topics can be adressed [(see our one-page
overview)](https://sumo.dlr.de/docs/Sumo_at_a_Glance.html).

Designed to be easy to use, yet powerful and flexible, GnuCash allows
you to track bank accounts, stocks, income and expenses. As quick and
intuitive to use as a checkbook register, it is based on professional
accounting principles to ensure balanced books and accurate reports.

## Why is your organization applying to participate in Google Summer of Code 2012? What do you hope to gain by participating?

The aim of the SUMO project lies in strengthening the microscop-traffic
simulation community. Instead of multiple short-lived projects with low
comparability we wish to establish a standard simulation package for
everyone to use and improve. While the first goal has been met and SUMO
is now widely used, the second goal remains open. There have been only a
few contributions to the code base. In participating in the Google
Summer of Code, we hope to engage new developers to the benefit of all
our users.

## Did your organization participate in past Google Summer of Codes? If so, please summarize your involvement and the successes and challenges of your participation.

No.

## What license(s) does your project use?

GNU GPLv3

## What is the URL for your Ideas page?

[GSOC2012_ProjectIdeas](GSOC2012_ProjectIdeas.md)

## What is the main development mailing list for your organization?

The main development mailing list is
\[sumo-devel@lists.sourceforge.net\] For details see [our contact
page](https://sumo.dlr.de/docs/Contact.html)

## What is the main IRC channel for your organization?

We do not have an IRC channel

## Does your organization have an application template you would like to see students use? If so, please provide it now.

    Contact
    -------
    Student name:
    Location (Home town, country):
    Email:
    Phone number:

    Background/Programming Information
    -----------------------------------
    What programming experience do you have so far (languages, operating systems, compilers)?
    Have you worked on an open source project(s) before, and which one(s)?
    What is your connection the the traffic simulation community
    Have you ever built SUMO from source?

## Who will be your backup organization administrator?

Daniel Krajzewicz

## What criteria did you use to select the individuals who will act as mentors for your organization? Please be as specific as possible.

Our mentors are members of the core development team. They have in-depth
knowledge of the code base and our processes. As experienced developers
they all have mentoring experiences. Since the core team is small our
mentors are self-selected.

## What is your plan for dealing with disappearing students?

We are confident that careful initial selection and close communication
will prevent students from disappearing.

## What is your plan for dealing with disappearing mentors?

Our mentors have been given clearance from their employer to mentor
during their work hours, thus we expect no disappearances. In case of
sickness or other emergencies we have backup mentors.

## What steps will you take to encourage students to interact with your project's community before, during and after the program?

We assume that our students already have some connections to the the
traffic simulation community. Before the program we will encourage
interested parties to discuss and refine project ideas via our mailing
list, blog and personal communication. During the program we will seek
to build a relationship based on our common interests which continues
after the program.